#pragma once
#include "../pteidlib/pteidlib.h"

using namespace System;

namespace eidpt 
{	
    // class mimicking tProxyInfo
    public ref class PteidProxyInfo
    {
    public: 
        PteidProxyInfo();
        PteidProxyInfo(const tProxyInfo& i);
		virtual ~PteidProxyInfo();

		String^			proxy;
		unsigned int	port;
		String^			username;
		String^			password;
		
	internal:
		void ToUnmanaged(tProxyInfo *out);

	private:
		void FreeStrings();
		void AllocateStrings();

		char *csProxy;
		char *csUsername;
		char *csPassword;
    };
}