#pragma once
#include "../pteidlib/pteidlib.h"

using namespace System;

namespace eidpt 
{	
	// class mimicking PTEID_Pin
    public ref class PteidPin
    {
    public: 
        PteidPin(const PTEID_Pin& i);

        long    pinType;          
        Byte    id;      
        long    usageCode;  
        long    triesLeft; 
        long    flags; 
        String^ label; 
        String^ shortUsage;     // May be NULL for usage known by the middleware 
        String^ longUsage;      // May be NULL for usage known by the middleware 
    };
}